﻿using System.Runtime.InteropServices;

namespace MapEditor
{
	[StructLayout(LayoutKind.Explicit, Size = 8)]
	public struct Box
	{
		[FieldOffset(0)]
		public short UpperLeftX;
		[FieldOffset(2)]
		public short UpperLeftY;
		[FieldOffset(4)]
		public short LowerRightX;
		[FieldOffset(6)]
		public short LowerRightY;

		public Box(short upperLeftX, short upperLeftY, short lowerRightX, short lowerRightY)
		{
			this.UpperLeftX = upperLeftX;
			this.UpperLeftY = upperLeftY;
			this.LowerRightX = lowerRightX;
			this.LowerRightY = lowerRightY;
		}
	}
}